body {
    margin: 0;
    font-family: -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Helvetica Neue, Arial, Noto Sans, sans-serif, Apple Color Emoji, Segoe UI Emoji,
        Segoe UI Symbol, Noto Color Emoji;
    font-size: 0.75rem;
    font-weight: 400;
    line-height: 1.5;
    color: #23282c;
    text-align: left;
    background-color: #e4e5e6;
}
a,
a:hover {
    text-decoration: none;
}
.app {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}
.app-header {
    position: fixed;
    z-index: 1020;
    width: 100%;
    flex-direction: row;
    height: 40px;
    padding: 0;
    margin: 0;
    background-color: #fff;
    border-bottom: 1px solid #c8ced3;
}
.app-header .logo {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 100px;
    height: 35px;
    margin-top: 3px;
    margin-left: 60px;
    background-color: transparent;
}

.app-body {
    display: flex;
    flex-direction: row;
    flex-grow: 1;
    overflow-x: hidden;
    margin-top: 40px;
}
.app-body .main {
    margin-left: 200px;
    flex: 1 1;
    min-width: 0;
}
.app-footer {
    margin-left: 200px;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    padding: 0 1rem;
    color: #23282c;
    background: #f0f3f5;
    border-top: 1px solid #c8ced3;
    flex: 0 0 35px;
}
.sidebar {
    height: calc(100vh - 40px);
    width: 200px;
    position: fixed;
    z-index: 1019;
    flex: 0 0 200px;
    order: -1;

    display: flex;
    flex-direction: column;
    padding: 0;
    color: #fff;
    background: #2f353a;
}

.sidebar .nav {
    flex-direction: column;
    min-height: 100%;
    padding: 0;
    display: flex;
    flex-wrap: wrap;
    margin-bottom: 0;
    list-style: none;
}
.sidebar .nav .nav-item {
    position: relative;
    margin: 0;
}
.sidebar .nav .nav-item .nav-link {
    display: block;
    padding: 0.5rem 0.75rem;
    color: #fff;
    text-decoration: none;
    background: transparent;
}
.sidebar .nav .nav-item .nav-link:hover {
    color: #fff;
    background: #20a8d8;
}
.sidebar .nav .nav-item.active {
    color: #fff;
    background: #20a8d8;
}
.sidebar .nav-link .nav-icon {
    display: inline-block;
    width: 0.9375rem;
    margin: 0 0.375rem 0 0;
    font-size: 0.75rem;
    color: #73818f;
    text-align: center;
}
a {
    color: #20a8d8;
    text-decoration: none;
    background-color: transparent;
}
.h5,
h5 {
    font-size: 0.75rem;
}
nav {
    display: block;
}
.card .card-body {
    padding: 10px;
}
.breadcrumb {
    position: relative;
    border-radius: 0;
    border-bottom: 1px solid #c8ced3;
    display: flex;
    flex-wrap: wrap;
    padding: 0.5rem 0.75rem;
    margin-bottom: 0.5rem;
    list-style: none;
    background-color: #fff;
}

.main ol.breadcrumb {
    margin-bottom: 10px;
    padding: 5px;
    margin-top: 0px;
}
.popover {
    font-size: 0.75rem;
}
.form-control,
.popover-header {
    font-size: 0.75rem;
}
.btn {
    font-size: 0.75rem;
}
.btn-sm {
    font-size: 0.65625rem;
}

.app-table th.tb-order .fa {
    padding-right: 3px;
    padding-left: 3px;
    color: #175a02;
    float: right;
    margin-top: 3px;
    transition: all 0.5s;
    cursor: pointer;
}
.app-table th.tb-order .fa.in-active {
    color: #c8ced3;
}
.app-table th.tb-order i.desc {
    transform: rotate(180deg);
}

.app-table th .tb-filter {
    float: left;
    cursor: pointer;
}

.app-table th .tb-filter.in-active .fa {
    color: #c8ced3;
}

.table tbody {
    font-size: 12px;
}

.table-action-btn {
    height: 32px;
    border-top: 1px solid rgb(204, 204, 204);
    border-right: 1px solid rgb(204, 204, 204);
    border-bottom: none;
    border-left: 1px solid rgb(204, 204, 204);
    border-image: initial;
    background-color: bisque;
}
.table-main-region {
    overflow: auto;
    margin-bottom: 5px;
    position: relative;
    border-top: 1px solid rgb(204, 204, 204);
}
.app-table {
    text-align: center;
    border-top: 0;

    &.table.fix-header thead tr:last-child th {
        position: sticky;
        top: -1px;
        background-color: white;
    }
    &.table th {
        vertical-align: middle;
        -moz-box-shadow: 0 0 1px 0px #ccc;
        -webkit-box-shadow: 0 0 1px 0px #ccc;
        box-shadow: 0 0 1px 0px #ccc;
        border: 0;
        padding: 3px;
    }
    &.table tr {
        background-color: white;
    }
    &.table td {
        vertical-align: middle;
        -moz-box-shadow: 0 0 1px -1px black;
        -webkit-box-shadow: 0 0 1px -1px black;
        box-shadow: 0 0 1px -1px black;
        border: 0;
        padding: 3px;
    }

    &.table tr th.sticky {
        background-color: #f0f3f5;
        z-index: 13;
    }
    &.table tr:not(.row-on-active) > td.sticky {
        background-color: #f0f3f5;
        z-index: 12;
    }
    &.table tr.row-on-active > td.sticky {
        background-color: #a4f4d2 !important;
        z-index: 12;
    }

    &.table tbody {
        font-size: 12px;
    }
    &.table tr.hover:hover:not(:focus-within) {
        background-color: #e2e2e2cc;
        cursor: pointer;
    }
}
.tbl-oneline {
    &.table td {
        overflow: hidden;
        white-space: nowrap;
    }
    &.table th {
        overflow: hidden;
        white-space: nowrap;
    }
}

.core-select__control {
    border: 1px solid #e4e7ea !important;
    border-radius: 0.25rem;
    min-height: 32px !important;
    height: 32px !important;
}
.core-select__value-container {
    margin-bottom: 6px;
}
.core-select__control--is-focused {
    color: #5c6873 !important;
    background-color: #fff !important;
    border-color: #8ad4ee !important;
    outline: 0 !important;
    box-shadow: 0 0 0 0.2rem rgba(32, 168, 216, 0.25) !important;
}
.core-select__control--is-disabled {
    background-color: #e4e7ea !important;
}
.core-select__dropdown-indicator {
    padding-top: 3px !important;
}

fieldset:disabled .core-select__control {
    background-color: #e4e7ea !important;
}
.core-select__menu {
    z-index: 9999 !important;
}
.Select-menu-outer {
    z-index: 999 !important;
}
.modal-lg {
    max-width: 1200px !important;
}

.input-required {
    color: red;
    font-weight: bold;
    padding-left: 2px;
}

.text-area-counter {
    float: right;
    border: 1px solid #ccc;
    padding: 2px;
}
.auto_trim_text {
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}
